use log::info;

use crate::THEME;

// THEME FUNCTIONS

#[derive(Debug, Copy, Clone)]
pub enum Theme {
    Light,
    Dark,
}

pub fn get_theme() -> String {
    let current_theme = THEME.read().unwrap();
    match *current_theme {
        Theme::Dark => "dark".to_string(),
        _ => "light".to_string(),
    }
}

pub fn set_theme(theme: Theme) {
    info!("set ui theme to: {:?}", theme);
    let mut writable_theme = THEME.write().unwrap();
    *writable_theme = theme;
}
